#grilla {
    display: grid;
    grid-template-areas: 
    "nav header header"
    "nav productos publicidad"
    "nav servicios publicidad"
    "nav footer footer";
    grid-template-rows: 100px 1fr 1fr 75px;
    grid-template-columns: 20% auto 15%;
    grid-column-gap: 10px;
    grid-row-gap: 15px;
    height: 100vh;
    margin: 0;
    }

.border {
    border: 1px solid black;
    background: yellow;

}

header {
    grid-area: header;
}

footer {
    grid-area: footer;
}

section#productos {
    grid-area: productos;
}

section#servicios {
    grid-area: servicios;
}

nav {
    grid-area: nav;
}

aside {
    grid-area: publicidad;
}

.miestilo {
    border: 1px solid black;
    padding: 20px;
    font-size: 40px;
    text-align: center;
    overflow: hidden;
}

@media (orientation:landscape) {
    #grilla {
        background-color: #F1F1F1;
    }
}

@media (min-width:768px) and (max-width:1024px) {
    #grilla{
        grid-template-columns: repeat(4, 1fr);
    }

    .border {
        border: 4px solid black;
        background-color: blue;
    }
}

@media (min-width:1200px) {
    #grilla {
        grid-template-columns: repeat(3, 1fr);
    }

    .border{
        border: 4px solid black;
        background-color: green;
    }
}

@media (min-width:992px){
    .miestilo {
        border: 1px solid black;
        padding: 20px;
        font-size: 1em;
        text-align: left;
    }
}
